Subject: Re: Preparing Herbs

From: Cathy LeFevre <[email-masked]>
Date: 12 Apr 1995 04:17:44 GMT

A tincture is a concentrated herbal extract that can be preserved over a   
long period of time.  I usually extract mine in alcohol since alcohol   
never spoils.  The dosage for a tinture is very small, usually only a few   
drops.  These drops can be combined with juice or something to disguise   
the taste.  Tinctures can also be made with glycerine or vinegar.    
Glycerine tinctures should be refridgerated once they are opened or after   
they are made unless they are in sealed containers. 
 
For specific recipies you need to seek a reference book with recipes.  A   
good one I have found is NATURAL HEALING WITH HERBS, written by Humbart   
Santillo N.D., published by Hohm Press. 
 
I have used herbs for medicinal and therapies for several years.  Used   
wisely they are very effective.